<?php
/**
 * 2008-2016 Chronopostfood SAS
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to chronopostfood@adexos.fr so we can send you a copy immediately.
 *
 * @author    Adexos for Chronopostfood <chronopostfood@adexos.fr>
 * @copyright 2008-2016 Chronopostfood SAS
 * @license   http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 */

include('../libraries/QuickcostServiceWSService.php');
include('../../../config/config.inc.php');

/* Check secret */
if (!Tools::getIsset('shared_secret') || Tools::getValue('shared_secret') != Configuration::get('CHRONOFOOD_SECRET'))
	die('Secret does not match.');

if (!Tools::getIsset('account')
	|| !Tools::getIsset('password')) die('Parameter Error');

$service = new QuickcostServiceWSService();
$quick = new quickCost();
$quick->accountNumber = Tools::getValue('account');
$quick->password = Tools::getValue('password');
$quick->depCode = '92500';
$quick->arrCode = '75001';
$quick->weight = '1';
$quick->productCode = '1';
$quick->type = 'D';

$res = $service->quickCost($quick);

if ($res->return->errorCode == 0) die('OK');
elseif ($res->return->errorCode == 3) echo 'Le nom d\'utilisateur ou le mot de passe saisi est incorrect.';
else echo 'Une erreur système est survenue, contactez le support Chronopost si le problème persiste.';
